FieldEdge Open API
DocsAPIs
DocsAPIs
  1. Webhook
  • Lead
    • Creates a new lead with customer details, appointment preferences, and service information.
      POST
    • Fetches lead details based on the provided lead identifier.
      GET
  • Customer
    • Creates a new customer
      POST
    • Search customers by phone, email, or first name
      GET
    • Search customers based on address details.
      GET
    • Get customer details by ID
      GET
    • Updates an existing customer
      PUT
  • Webhook
    • Registers a new webhook endpoint to receive event notifications.
      POST
DocsAPIs
DocsAPIs
  1. Webhook

Registers a new webhook endpoint to receive event notifications.

POST
/v1/webhook
Registers a new webhook endpoint for event notifications.

Request

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Webhook registered successfully.
Body

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://dev.api.fieldedge.com/leads/v1/webhook' \
--header 'Content-Type: application/json' \
--data-raw '{
    "callbackUrl": "https://api.example.com/webhooks/receive",
    "headers": {
        "x-api-key": "12345-ABCDE-67890",
        "x-source": "FieldEdge"
    }
}'
Response Response Example
201 - response
{
    "data": {
        "webhookId": "9b8df6c2-fc64-4be6-a187-cde2b27cb515",
        "message": "Webhook registered successfully."
    }
}
Modified at 2026-02-26 12:18:17
Previous
Updates an existing customer
Built with